Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public class

# DriveId

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.drive.DriveId

## Class Overview

A canonical identifier for a Drive resource.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<DriveId> | CREATOR |

Public Methods
static DriveId | decodeFromString(String s) Decodes the result of `encodeToString()` back into a `DriveId`.
int | describeContents()
final String | encodeToString() Returns a String representation of this `DriveId` that can be safely persisted, and from which an equal `DriveId` can later be reconstructed via `decodeFromString(String)`.
boolean | equals(Object obj)
String | getResourceId() Returns the remote Drive resource id associated with the resource.
int | hashCode()
String | toString()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<DriveId> CREATOR

## Public Methods

#### public static DriveId decodeFromString (String s)

Decodes the result of `encodeToString()` back into a `DriveId`.

##### Throws

IllegalArgumentException | if the argument is not a valid result of `encodeToString()`.

#### public int describeContents ()

#### public final String encodeToString ()

Returns a String representation of this `DriveId` that can be safely persisted, and from which an equal `DriveId` can later be reconstructed via `decodeFromString(String)`.

#### public boolean equals (Object obj)

#### public String getResourceId ()

Returns the remote Drive resource id associated with the resource. May be `null` for local resources that have not yet been synchronized to the Drive service.

#### public int hashCode ()

#### public String toString ()

#### public void writeToParcel (Parcel out, int flags)